Package fr.gouv.vitam.collect.internal.core.csv

# Record Class SedaSchemaInfo

java.lang.Object
java.lang.Record
fr.gouv.vitam.collect.internal.core.csv.SedaSchemaInfo

public record SedaSchemaInfo(String sedaPath, String apiPath, String apiSubPath, boolean isObject, boolean isArray, boolean isExternal, boolean isSedaExtensionPoint, boolean isSpecialRulePropertyArrayIndex, boolean isForbiddenCsvHeader) extends Record

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SedaSchemaInfo(String sedaPath, String apiPath, String apiSubPath, boolean isObject, boolean isArray, boolean isExternal, boolean isSedaExtensionPoint, boolean isSpecialRulePropertyArrayIndex, boolean isForbiddenCsvHeader)`
  Creates an instance of a `SedaSchemaInfo` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `apiPath()`
  Returns the value of the `apiPath` record component.
  `String`
  `apiSubPath()`
  Returns the value of the `apiSubPath` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `boolean`
  `isArray()`
  Returns the value of the `isArray` record component.
  `boolean`
  `isExternal()`
  Returns the value of the `isExternal` record component.
  `boolean`
  `isForbiddenCsvHeader()`
  Returns the value of the `isForbiddenCsvHeader` record component.
  `boolean`
  `isObject()`
  Returns the value of the `isObject` record component.
  `boolean`
  `isSedaExtensionPoint()`
  Returns the value of the `isSedaExtensionPoint` record component.
  `boolean`
  `isSpecialRulePropertyArrayIndex()`
  Returns the value of the `isSpecialRulePropertyArrayIndex` record component.
  `String`
  `sedaPath()`
  Returns the value of the `sedaPath` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SedaSchemaInfo

    public SedaSchemaInfo(String sedaPath, String apiPath, String apiSubPath, boolean isObject, boolean isArray, boolean isExternal, boolean isSedaExtensionPoint, boolean isSpecialRulePropertyArrayIndex, boolean isForbiddenCsvHeader)
    Creates an instance of a `SedaSchemaInfo` record class.
    Parameters:
      `sedaPath` - the value for the `sedaPath` record component
      `apiPath` - the value for the `apiPath` record component
      `apiSubPath` - the value for the `apiSubPath` record component
      `isObject` - the value for the `isObject` record component
      `isArray` - the value for the `isArray` record component
      `isExternal` - the value for the `isExternal` record component
      `isSedaExtensionPoint` - the value for the `isSedaExtensionPoint` record component
      `isSpecialRulePropertyArrayIndex` - the value for the `isSpecialRulePropertyArrayIndex` record component
      `isForbiddenCsvHeader` - the value for the `isForbiddenCsvHeader` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### sedaPath

    public String sedaPath()
    Returns the value of the `sedaPath` record component.
    Returns:
      the value of the `sedaPath` record component

  - ### apiPath

    public String apiPath()
    Returns the value of the `apiPath` record component.
    Returns:
      the value of the `apiPath` record component

  - ### apiSubPath

    public String apiSubPath()
    Returns the value of the `apiSubPath` record component.
    Returns:
      the value of the `apiSubPath` record component

  - ### isObject

    public boolean isObject()
    Returns the value of the `isObject` record component.
    Returns:
      the value of the `isObject` record component

  - ### isArray

    public boolean isArray()
    Returns the value of the `isArray` record component.
    Returns:
      the value of the `isArray` record component

  - ### isExternal

    public boolean isExternal()
    Returns the value of the `isExternal` record component.
    Returns:
      the value of the `isExternal` record component

  - ### isSedaExtensionPoint

    public boolean isSedaExtensionPoint()
    Returns the value of the `isSedaExtensionPoint` record component.
    Returns:
      the value of the `isSedaExtensionPoint` record component

  - ### isSpecialRulePropertyArrayIndex

    public boolean isSpecialRulePropertyArrayIndex()
    Returns the value of the `isSpecialRulePropertyArrayIndex` record component.
    Returns:
      the value of the `isSpecialRulePropertyArrayIndex` record component

  - ### isForbiddenCsvHeader

    public boolean isForbiddenCsvHeader()
    Returns the value of the `isForbiddenCsvHeader` record component.
    Returns:
      the value of the `isForbiddenCsvHeader` record component